Subject: bug#7727: describe-key doesn't tell whole redirect sequence

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 23 Jan 2011 17:04:22 -0800

[email-masked] writes:

> KY> (call-interactively 'gnus-summary-edit-article)
>
> KY> But it doesn't work for the `disabled' flag as if the command is
> KY> actually and directly invoked interactively.  I'm not capable to
> KY> improve it, sorry.
>
> I see. So the real bug is in the describe-key function, not telling the
> user all the details! I'll Cc bug-gnu-emacs!

I don't think this is a bug.  None of the commands in the article buffer
are regular commands, and you can't disable them with

(put 'gnus-summary-edit-article 'disabled t)

If you want to redefine commands in the article buffer, you have to bind
their keys.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen